=== modified file 'scripts/curtinator'
--- scripts/curtinator	2019-04-16 10:35:18 +0000
+++ scripts/curtinator	2019-04-17 09:15:19 +0000
@@ -160,6 +160,7 @@
     case $distribution in
         14.04.6) bs=1576592;;
         18.10) bs=1605632;;
+        19.04) bs=2092032;;
     esac
 
     case $initrd in
@@ -225,6 +226,8 @@
 
 # Set default values for some options.
 [ -z "$NAME" ] && NAME=$(basename $ISO .iso)
+# by following the rule ubuntu-18.04.1-desktop-amd64.iso
+# DISTRIBUTION will be 18.04.1
 [ -z "$DISTRIBUTION" ] && DISTRIBUTION=`echo $NAME | awk -F- {'print $2'}`
 [ -z "$DIRECTORY" ] && DIRECTORY=$NAME
 [ ! -d "$DIRECTORY" ] && mkdir -p "$DIRECTORY"

=== modified file 'scripts/extract_iso'
--- scripts/extract_iso	2014-10-27 21:46:10 +0000
+++ scripts/extract_iso	2019-04-17 09:15:19 +0000
@@ -262,7 +262,7 @@
         directory_re = re.compile("Directory listing of (?P<path>.*)")
         file_re = re.compile(
             "(?P<mode>[ldrwx-]{10})\s+\d+\s+\d+\s+\d+\s+\d+\s[A-Za-z]{3}"
-            + "\s+\d+\s\d+\s+\[\s+\d+\s\d\d\](\s\s(?P<name>.*))?")
+            + "\s+\d+\s\d+\s+\[\s*\d+\s\d\d\](\s\s(?P<name>.*))?")
 
         name = ""
         for line in [l.strip() for l in file.readlines()]:

